#ifndef GDGAME_H
#define GDGAME_H

#include <godot_cpp/classes/node2d.hpp>

#include "kyara.h"
#include <godot_cpp/classes/multiplayer_api.hpp>
#include <godot_cpp/classes/multiplayer_spawner.hpp>
#include <godot_cpp/classes/image_texture.hpp>
#include <godot_cpp/classes/image.hpp>

namespace godot
{
class Game : public Node2D
{
	GDCLASS(Game, Node2D)
private:
	MultiplayerSpawner *spawn;
protected:
	static void _bind_methods();
public:
	Game();
	~Game();
	void start(const Dictionary &players);
	Node* kyaraspawn(const Variant &data);
};
}

#endif